local ls = require("luasnip")
local s = ls.snippet
local sn = ls.snippet_node
local t = ls.text_node
local i = ls.insert_node
local f = ls.function_node
local d = ls.dynamic_node
local fmt = require("luasnip.extras.fmt").fmt
local fmta = require("luasnip.extras.fmt").fmta
local rep = require("luasnip.extras").rep

return {
  s({ trig = "frame", dscr = "A beamer frame" },
    fmta(
      [[
    \begin{frame}{<>}
      <>
    \end{frame}
  ]],
      {
        i(1, "title"),
        i(2, "content")
      }
    )
  ),

  s({ trig = "block", dscr = "A beamer block" },
    fmta(
      [[
    \begin{block}{<>}
      <>
    \end{block}
  ]],
      {
        i(1, "title"),
        i(2, "content")
      }
    )
  ),
}
